Get all push mirrors of the repository
GET
/repos/{owner}/{repo}/push_mirrors
const url = 'https://gitea.com/api/v1/repos/example/example/push_mirrors';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://gitea.com/api/v1/repos/example/example/push_mirrors \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”owner
required
string
Owner of the repo
repo
required
string
Name of the repo
Query Parameters
Section titled “Query Parameters”page
integer
Page number of results to return (1-based)
limit
integer
Page size of results
Responses
Section titled “Responses”PushMirrorList
Media typeapplication/json
Array<object>
PushMirror represents information of a push mirror
object
created
string format: date-time
interval
The sync interval for automatic updates
string
last_error
The last error message encountered during sync
string
last_update
string format: date-time
remote_address
The remote repository URL being mirrored to
string
remote_name
The name of the remote in the git configuration
string
repo_name
The name of the source repository
string
sync_on_commit
Whether to sync on every commit
boolean
Examplegenerated
[ { "created": "2026-04-15T12:00:00Z", "interval": "example", "last_error": "example", "last_update": "2026-04-15T12:00:00Z", "remote_address": "example", "remote_name": "example", "repo_name": "example", "sync_on_commit": true }]APIError is error format response
Media typeapplication/json
Headers
Section titled “Headers”message
string
url
string
APIForbiddenError is a forbidden error response
Media typeapplication/json
Headers
Section titled “Headers”message
string
url
string
APINotFound is a not found empty response
Media typeapplication/json